<?php
require_once 'class.php';
if (!isset($aid)) {
    header('location: login.php');
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Add products</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- summernote -->
    <link rel="stylesheet" href="plugins/summernote/summernote-bs4.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <link rel="stylesheet" href="izitoast/css/iziToast.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1>Add products</h1>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <!-- /.col -->
                        <div class="col-md-12 col-sm-12 col-lg-12 col-12">
                            <div class="card card-primary card-outline">
                                <form id="Add_Product">
                                    <div class="card-body">
                                        <div class="form-group">
                                            <label>Product name</label>
                                            <input class="form-control" type="text" name="name" placeholder="Product name" required>
                                        </div>
                                        <div class="form-group">
                                            <label>Amount</label>
                                            <input class="form-control" type="number" name="amount">
                                        </div>
                                        <div class="form-group">
                                            <label>Product image</label>
                                            <input class="form-control" type="file" id="file_to_upload" accept="image/*">
                                        </div>
                                        <div class="form-group">
                                            <label>Daily earning</label>
                                            <input class="form-control" type="number" name="daily">
                                        </div>
                                        <div class="form-group">
                                            <label>Duration</label>
                                            <input class="form-control" type="number" name="days">
                                        </div>
                                    </div>
                                    <!-- /.card-body -->
                                    <div class="card-footer">
                                        <div class="float-right">
                                            <button onclick="AddProduct('btn1', 'btn2', 'Add_Product','Product added successfully')" type="button" id="btn1" class="btn btn-primary"><i class="far fa-envelope"></i>
                                                <c id="btn_text">Add</c>
                                            </button>
                                            <button id="btn2" disabled type="button" class="btn btn-warning loading">
                                                Please wait, this may take a little while <i class="fa fa-spinner fa-spin"></i>
                                            </button>
                                        </div>
                                    </div>
                                    <input class="form-control" type="hidden" name="product_img" id="p_file">
                                    <input class="form-control" type="hidden" id="file_check">
                                </form>
                                <!-- /.card-footer -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="dist/js/demo.js"></script>
    <!-- Summernote -->
    <script src="plugins/summernote/summernote-bs4.min.js"></script>
    <script src="izitoast/js/iziToast.min.js"></script>
    <script src="js.js"></script>
    <script>
        function AddProduct(btn1, btn2, action, res) {
            var x = 0;
            var msg = '';
            $("#" + btn1 + ",#" + btn2).toggle();

            var formData = "key=" + action + "&" + $("#" + action).serialize() + "&step=a";
            $.get("class.php", formData, function(checker) {
                if (checker == 1) {
                    var fileName = $("#p_file").val()
                    if (fileName == "") {
                        error("Choose product image");
                        return;
                    }
                    var image_url = "../products/" + fileName
                    $.get(image_url)
                        .done(function() {
                            $("#file_check").val(1)
                            x = 1;
                        }).fail(function() {
                            $("#file_check").val(0)



                            var fd = new FormData();
                            var files = $("#file_to_upload")[0].files;
                            if (files.length > 0) {
                                fd.append("file", files[0]);
                                $.ajax({
                                    url: "uploadpop.php",
                                    type: "post",
                                    data: fd,
                                    contentType: false,
                                    processData: false,
                                    success: function(response) {
                                        res = response;
                                        if (res == 1) {
                                            $("#file_check").val(1)
                                            x = 1;
                                        } else {
                                            $("#" + btn1 + ",#" + btn2).toggle();
                                            error(res);
                                        }
                                    },
                                });
                            } else {
                                $("#" + btn1 + ",#" + btn2).toggle();
                                error("Choose a file to upload", "error");
                            }


                        })


                    var formData = "key=" + action + "&" + $("#" + action).serialize();
                    $.get("class.php", formData, function(data) {
                        if (data == 1) {
                            $("#" + btn1 + ",#" + btn2).toggle();
                            success(res);
                        } else {
                            $("#" + btn1 + ",#" + btn2).toggle();
                            error(data);
                        }
                    });





                } else {
                    $("#" + btn1 + ",#" + btn2).toggle();
                    error(checker);
                }
            });











        }




        $('input[type="file"]').change(function(e) {
            $("#p_file").val('')
            var fileName = e.target.files[0].name;
            $("#p_file").val(fileName)
        });
    </script>
</body>

</html>