<?php require_once 'class.php';
if (!isset($aid)) {
    header('location: login.php');
}
if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $sqlstr = "SELECT * FROM withdrawals WHERE id = ?";
    $stmt = $conn->prepare($sqlstr);
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();
    $row = $result->fetch_assoc();
    extract($row);
} else {
    header('location:withdrawal.php');
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Withdrawals</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2/sweetalert2.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="izitoast/css/iziToast.min.css">
    <style>
        table {
            border-collapse: collapse;
            border-spacing: 0;
            width: 100%;
            border: 1px solid #ddd;
        }

        th,
        td {
            text-align: left;
            padding: 16px;
        }

        tr:nth-child(even) {
            background-color: #f2f2f2;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <div class="col-12">
                        <h4>Withdrawals Details</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-12 col-lg-12 col-md-12">
                        <div class="card card-primary card-tabs">
                            <div class="card-header p-0 pt-1">
                                <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="true">Details</a>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="custom-tabs-one-tabContent">
                                    <div class="tab-pane fade show active" id="custom-tabs-one-home" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab">
                                        <form id="Withdraw">
                                            <table>
                                                <tr>
                                                    <td><b>User:</b><b style="float: right;"><?= $uid ?></b></td>
                                                </tr>
                                                <?php
                                                $bank = json_decode($bank, true);
                                                foreach ($bank as $key => $val) {
                                                    $head = str_replace('_', ' ', $key);
                                                ?>
                                                    <tr>
                                                        <td><b><?= ucwords($head) ?></b><b style="float: right;"><?= $val ?></b>
                                                        </td>
                                                    </tr>
                                                <?php } ?>
                                                <tr>
                                                    <td><b>Original Amount</b><b style="float: right;">₦<?= number_format(($original_amt), 2) ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Payout Amount (After charges)</b><b style="float: right;">₦<?= number_format(($amount), 2) ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Date</b><b style="float: right;"><?= $row['date'] ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Status</b><b style="float: right;"><?= $row['status'] ?></b>
                                                    </td>
                                                </tr>
                                            </table>

                                            <input type="hidden" name="with_id" value="<?= $id ?>">
                                            <input type="hidden" name="user" value="<?= $uid ?>"><br>
                                            <?php
                                            if ($status == 'Pending') {
                                            ?>
                                                <div class="ActionDiv">
                                                    <button type="button" onclick="$('.ActionDiv,.ReasonDiv').toggle()" class=" btn btn-danger">Decline Payment</button>
                                                    <button type="button" id="btn1" onclick="MyDeposit2('Approve','btn1', 'btn2', 'Withdraw','Successfully Approved')" class="btn btn-success">Approve Payment</button>
                                                </div>
                                            <?php } ?>
                                            <br><br>
                                            <div class="ReasonDiv loading">
                                                <label>Enter Reason for declining</label>
                                                <textarea name="reason" class="form-control"></textarea><br>
                                                <button type="button" id="btn3" onclick="MyDeposit2('Decline','btn3', 'btn2', 'Withdraw','Successfully Declined')" class=" btn btn-danger">Decline</button>
                                                <button type="button" onclick="$('.ActionDiv,.ReasonDiv').toggle()" class="btn btn-secondary">Cancel</button>
                                            </div>
                                            <button type="button" id="btn2" class="loading btn btn-warning">Proccessing...</button>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="plugins/dropzone/min/dropzone.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
    <!-- InputMask -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Bootstrap Switch -->
    <script src="plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <!-- BS-Stepper -->
    <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <script src="izitoast/js/iziToast.min.js"></script>
    <script src="js.js"></script>
    <script>
    </script>
</body>

</html>